package yem.wmc.imc.api;


import kd.bos.openapi.common.custom.annotation.ApiController;
import kd.bos.openapi.common.custom.annotation.ApiMapping;
import kd.bos.openapi.common.custom.annotation.ApiPostMapping;
import kd.bos.openapi.common.result.CustomApiResult;
import yem.wmc.imc.utils.CommonUtils;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author lipan
 * @date 2023/12/18 10:42
 * @className InvoiceController
 * @description
 */

@ApiController(value = "Invoice", desc = "发票接口")
@ApiMapping("/yem/Invoice")
public class InvoiceController implements Serializable {
    @ApiPostMapping(value = "/GetToken", desc = "获取getToken")
    public CustomApiResult<InvoiceModel> GetToken() {
        String TokenStr = CommonUtils.getToken();
        InvoiceModel responseApiModel
                = new InvoiceModel();
        responseApiModel.setCode("true");
        responseApiModel.setSerialNo("");
        responseApiModel.setMessage("成功");
        responseApiModel.setData(TokenStr);
        return CustomApiResult.success(responseApiModel);
    }


}
